Skip to main content
GET
Search prediction markets by query

Authorizations

x-api-key
string
header
required

Query Parameters

query
string
required

Search query

Example:

"bitcoin"

page_size
number
default:25

Results per page (default: 25)

Example:

25

order_by
string
default:querymatch

Sort order (default: querymatch)

Example:

"trending"

fuzzy_threshold
number
default:4

Fuzzy search threshold (default: 4)

Example:

4

with_milestones
boolean
default:true

Include milestones (default: true)

Example:

true

cursor
string

Pagination cursor

Example:

"cursor123"

status
enum<string>

Market status filter

Available options:
open,
unopened,
closed,
settled
category
string

Category filter

Example:

"Science and Technology"

frequency
enum<string>

Frequency filter

Available options:
hourly,
daily,
weekly,
monthly,
annual

Response

200 - application/json
total_results_count
number
required

Total number of results

Example:

42

current_page
object[]
required

Current page of search results

next_cursor
string | null

Cursor for next page